#ifndef _MIS
#define _MIS
 class person
 {
  public:
   person(char* s,int x,char y,long z);
   ~person();
   void display(void);
  protected:
   char *name;
   int age;
   char sex;
   long no;
   static int count;
 };
 class student:public person
 {
   public:
    student(char* s,int w,char x,long y,int z,char *p);
    ~student();
    void display(void);
   protected:
	int credit;
	char *spec;
 };
 class teacher:virtual public person
 {
   public:
	teacher(char* s,int w,char x,long y,int z,char **p); 
    ~teacher();
    void display(void);
   protected:
	int salary;
	char *c[3];
 };
 class employee:virtual public person
 {
  public:
   employee(char* s,int w,char x,long y,int z,int t); 
   ~employee();
   void display(void);
  protected:
   int salary;
   int grade;
 };
 class tea_emp:public teacher,public employee
 {
  public:
   tea_emp(char* s,int w,char x,long y,int z1,char **p,int z2,int t,float s1);
   ~tea_emp();
   void display(void);
  private:
   float s;
   int salary;
 };
#endif